#!/bin/sh -ex

[ -f .env ] && . ./.env

cat <<EOF > /kaniko/.docker/config.json
{
  "auths": {
    "$GITHUB_SERVER_URL": {
      "username": "$INPUT_USERNAME",
      "password": "$INPUT_PASSWORD"
    }
  }
}
EOF

if [ -z "$IMAGEAPP" ]; then
    REGISTRY="$(echo "$GITHUB_SERVER_URL" | sed 's .*://  ')"
    IMAGEAPP="$REGISTRY/$(printf '%s' "$INPUT_IMAGE" | tr '[:upper:]' '[:lower:]' | tr -c '[:lower:][:digit:]-/:_' _)"
fi

/kaniko/executor \
    --cache="${INPUT_CACHE}" \
    --context "${INPUT_DOCKERFILE%/*}" \
    --dockerfile "$INPUT_DOCKERFILE" \
    --destination "$IMAGEAPP"
